package xyz.thastertyn.ContentDisplay.Content;

import com.googlecode.lanterna.gui2.WindowBasedTextGUI;
import com.googlecode.lanterna.gui2.Panel;
import com.googlecode.lanterna.gui2.Label;

/**
 * Wrapper to include all classes that deal with content in some way
 */
public abstract class JecnaContent {
	
	public abstract Panel getPanel();
	public abstract void download();
	public abstract boolean hasStarted();
	public abstract Label getLabel();
	public abstract void specify(final int y, final int hy);
	public abstract void getOptions(final WindowBasedTextGUI textGUI);
}
